QT       += core gui \
            charts

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    SmartField/uwb_SmartField_IO.c \
    SmartField/uwb_SmartField_core.c \
    chart.cpp \
    chartview.cpp \
    main.cpp \
    mainwindow.cpp \
    smartfield_fileloader.cpp \
    smartfield_simulator.cpp

HEADERS += \
    SmartField/uwb_SmartField.h \
    SmartField/uwb_SmartField_IO.h \
    SmartField/uwb_SmartField_conf.h \
    SmartField/uwb_SmartField_core.h \
    SmartField/uwb_SmartField_firCoef.h \
    chart.h \
    chartview.h \
    mainwindow.h \
    smartfield_fileloader.h \
    smartfield_simulator.h

FORMS += \
    mainwindow.ui

TRANSLATIONS += \
    SmartField_Explorer_cs_CZ.ts

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    smartfield_explorer.qrc
